=== debian/changelog ===
rml-mmc (2.3.8.svn.156-1) unstable; urgency=low

  * New release of rml-mmc compiler

 -- Martin Sjölund <martin.sjolund@liu.se>  Tue, 20 Apr 2010 22:02:25 +0200

rml-mmc (2.3.8.svn.151-1) unstable; urgency=low

  * New release of rml-mmc compiler 

 -- Robert Wotzlaw <Robert.Wotzlaw@web.de>  Sun, 15 Nov 2009 12:48:54 +0100

rml-mmc (2.3.8.svn.147-1) unstable; urgency=low

  * Initial release of rml-mmc compiler

 -- Robert Wotzlaw <Robert.Wotzlaw@web.de>  Wed, 29 Oct 2008 15:42:00 +0100
