=== debian/control ===
Source: rml-mmc
Section: devel
Priority: extra
Maintainer: Martin Sjölund <martin.sjolund@liu.se>
Build-Depends: debhelper (>= 7),
 ml-lex (>= 110.67-4),
 ml-yacc (>= 110.67-4),
 libsmlnj-smlnj (>= 110.67-4),
 mlton,
 libreadline5-dev,
 bison,
 flex
Standards-Version: 3.8.4

Package: rml-mmc
Architecture: any
Depends: smlnj (>= 110.67-4), smlnj-runtime (>= 110.67-4),
 libsmlnj-smlnj (>= 110.67-4), ml-lex (>= 110.67-4), ml-yacc (>= 110.67-4), ${shlibs:Depends}, ${misc:Depends}
Description: Compiler and interpreter for RML and MMC specifications
 ! THIS IS NOT A OFFICIAL DEBIAN PACKAGE, USE IT WITH CARE !
 .
 It implements the Relational Meta-Language (RML) and MetaModelica
 .
 RML is intended as an executable specification language for experiment-
 ing with and implementing Natural Semantics.
 .
 RML is heavily influenced by Standard ML, both in the language itself
 and in its definition.
 .
