=== examples/Makefile ===
#
# Root Makefile for the examples hierarchy
#
GOROOT=../..
SUBDIRS=assignment assigntwotype etc exp1 exp1-real exp2 experiment experiment+ experiments lcalc mf miniml modassigntwotype modelica+ modelica-examples myold mytests not-needed pam pamdecl pamdecl-HOOKS pamtrans petrol petrol-old petrol2 rml yaccpar
include $(GOROOT)/etc/dispatch.mk
