=== metamodelica-examples/Makefile ===
#
# Root Makefile for the examples hierarchy
#
GOROOT=..
SUBDIRS=mf miniml petrol assignment assigntwotype exp1 exp2 modassigntwotype pam pamdecl pamtrans petrol2
include $(GOROOT)/etc/dispatch.mk
