=== debian/changelog ===
rml-mmc (280-1) unstable; urgency=low

  * Automatic subversion build
 -- OpenModelica Build System <build@openmodelica.org>  Fri, 17 Oct 2014 13:13:56 +0200
