=== debian/control ===
--- 
+++ 
@@ -3,19 +3,14 @@
 Priority: extra
 Maintainer: Martin Sjölund <martin.sjolund@liu.se>
 Build-Depends: debhelper (>= 7),
- ml-lex (>= 110.67-4),
- ml-yacc (>= 110.67-4),
- libsmlnj-smlnj (>= 110.67-4),
  mlton,
- libreadline5-dev,
  bison,
  flex
 Standards-Version: 3.8.4
 
 Package: rml-mmc
 Architecture: any
-Depends: smlnj (>= 110.67-4), smlnj-runtime (>= 110.67-4),
- libsmlnj-smlnj (>= 110.67-4), ml-lex (>= 110.67-4), ml-yacc (>= 110.67-4), ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Compiler and interpreter for RML and MMC specifications
  ! THIS IS NOT A OFFICIAL DEBIAN PACKAGE, USE IT WITH CARE !
  .
