=== debian/rules ===
--- 
+++ 
@@ -27,7 +27,7 @@
 config.cache: configure
 	dh_testdir
 	# Add here commands to configure the package.
-	./configure --prefix=/usr --destdir=$(CURDIR)/debian/tmp
+	./configure --nosmlnj --prefix=/usr --destdir=$(CURDIR)/debian/tmp
 
 build: build-stamp
 
@@ -35,7 +35,8 @@
 	dh_testdir
 
 	# Add here commands to compile the package.
-	$(MAKE)
+	$(MAKE) -C runtime
+	$(MAKE) -C etc
 	$(MAKE) -C compiler rml-mlton
 	#docbook-to-man debian/rml-mmc.sgml > rml-mmc.1
 
@@ -58,7 +59,8 @@
 	dh_installdirs
 
 	# Add here commands to install the package into debian/tmp.
-	$(MAKE) install
+	$(MAKE) -C etc install
+	$(MAKE) -C runtime install
 	$(MAKE) -C compiler install-mlton
 
 
@@ -90,7 +92,7 @@
 	dh_compress -X.pdf
 	dh_fixperms
 #	dh_perl
-#	dh_makeshlibs
+	dh_makeshlibs
 	dh_installdeb
 	dh_shlibdeps
 	dh_gencontrol
